Subject: bug#11589: closed (Re: bug#11589: Emacs git head configuration / build problem on windows using msysgit and mingw)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 30 May 2012 18:18:02 +0000

Your bug report

#11589: Emacs git head configuration / build problem on windows using msysgit and mingw

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11589: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11589
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11589: Emacs git head configuration / build problem on windows using msysgit and mingw
From: Eli Zaretskii <[email-masked]>
To: Marko Kocić <[email-masked]>
Cc: [email-masked]
Date: Wed, 30 May 2012 21:15:36 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Marko Kocić <[email-masked]>
> Date: Wed, 30 May 2012 13:58:20 +0200
> 
> When building Emacs on windows configured with prefix option install
> fails.because of the wrong install dir.
> 
> For exmaple, I configured emacs with
> configure.bat --prefix c:/opt/emacs --cflags -Os
> 
> The problem is that, because of the extra space added after prefix
> location, installer tries to install files to "c:/opt/emacs /bin" which
> doesn't exist.
> Seems like commit 529e95d75180241f67fd8b700316907036726c90 is resposible
> for that. When I reverted that commit, I was able to build and install
> Emacs again.

Thanks for the report.  This bug was fixed in the repository 2 days
ago, but it was fixed on the release branch and the fix wasn't yet
merged with the trunk.  It will be, shortly.

Subject: Emacs git head configuration / build problem on windows using msysgit and mingw
From: Marko Kocić <[email-masked]>
To: [email-masked]
Date: Wed, 30 May 2012 13:58:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

When building Emacs on windows configured with prefix option install
fails.because of the wrong install dir.

For exmaple, I configured emacs with
configure.bat --prefix c:/opt/emacs --cflags -Os

The problem is that, because of the extra space added after prefix
location, installer tries to install files to "c:/opt/emacs /bin" which
doesn't exist.
Seems like commit 529e95d75180241f67fd8b700316907036726c90 is resposible
for that. When I reverted that commit, I was able to build and install
Emacs again.

Best regards,
Marko Kocić